Loading...
Searching...
No Matches
parser_interface.c File Reference

GIS Library - Argument parsing functions (interface). More...

`#include <grass/config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <unistd.h>`
`#include <stdarg.h>`
`#include <sys/types.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/spawn.h>`
`#include "parser_local_proto.h"`
Include dependency graph for parser_interface.c:

Go to the source code of this file.

## Functions

void | G__usage_xml (void)
| Print module usage description in XML format.

## Detailed Description

GIS Library - Argument parsing functions (interface).

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL
  Soeren Gebbert added Dec. 2009 WPS process_description document

Definition in file parser_interface.c.

## Function Documentation

## G__usage_xml()

void G__usage_xml | ( | void |  | ) |

Print module usage description in XML format.

Definition at line 103 of file parser_interface.c.

References FALSE, G__describe_option_rules_xml(), G__print_keywords(), G__uses_new_gisprompt(), G_free(), G_program_name(), NULL, and strcpy.

Referenced by G_parser().